Package com.arms.api.analysis.cost.controller

## Class SalaryController

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController<SalaryService,​SalaryVO,​SalaryEntity>
  - - com.arms.api.analysis.cost.controller.SalaryController

-     @RestController
      @RequestMapping("/admin/arms/salaries")
      public class SalaryController
      extends TreeAbstractController<SalaryService,​SalaryVO,​SalaryEntity>

- - ### Field Summary

    - ### Fields inherited from class com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController

      `chat, modelMapper`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SalaryController()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.springframework.http.ResponseEntity<CommonResponse.ApiResult<java.util.List<SalaryVO>>>` | `bulkUpdate​(java.util.Map<java.lang.String,​SalaryVO> salaryMaps)` |
    `void` | `initialize()` |
    `java.util.List<SalaryVO>` | `transferSalaryInfo()` |
    `org.springframework.web.servlet.ModelAndView` | `uploadSalaryTemplate​(org.springframework.web.multipart.MultipartFile excelFile, javax.servlet.http.HttpServletRequest httpServletRequest)` | 연봉 입력을 위한 엑셀 템플릿 업로드 API
    `void` | `연봉입력_엑셀템플릿_다운로드​(java.util.List<SalaryVO> 연봉데이터리스트, java.lang.String excelFileName, javax.servlet.http.HttpServletResponse httpServletResponse)` | 연봉 입력을 위한 엑셀 템플릿 다운로드 API

    - ### Methods inherited from class com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController

      `addNode, alterNode, alterNodeType, analyzeNode, getChildNode, getMonitor, getNode, getNodesWithoutRoot, getPaginatedChildNode, moveNode, removeNode, searchNode, sendMessage, setJsonDefaultSetting, setTreeEntity, setTreeService, updateNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SalaryController

          public SalaryController()

  - ### Method Detail

    - #### initialize

          @PostConstruct
          public void initialize()

    - #### 연봉입력_엑셀템플릿_다운로드

          @PostMapping("/excel-download.do")
          public void 연봉입력_엑셀템플릿_다운로드​(@RequestBody
                                      java.util.List<SalaryVO> 연봉데이터리스트,
                                      @RequestParam("excelFileName")
                                      java.lang.String excelFileName,
                                      javax.servlet.http.HttpServletResponse httpServletResponse)
                               throws java.lang.Exception

      연봉 입력을 위한 엑셀 템플릿 다운로드 API
      Throws:
        `java.lang.Exception`

    - #### uploadSalaryTemplate

          @PostMapping("/excel-upload.do")
          public org.springframework.web.servlet.ModelAndView uploadSalaryTemplate​(@RequestPart("excelFile")
                                                                                   org.springframework.web.multipart.MultipartFile excelFile,
                                                                                   javax.servlet.http.HttpServletRequest httpServletRequest)
                                                                            throws java.lang.Exception

      연봉 입력을 위한 엑셀 템플릿 업로드 API
      Throws:
        `java.lang.Exception`

    - #### bulkUpdate

          @PutMapping
          public org.springframework.http.ResponseEntity<CommonResponse.ApiResult<java.util.List<SalaryVO>>> bulkUpdate​(@RequestBody
                                                                                                                        java.util.Map<java.lang.String,​SalaryVO> salaryMaps)
                                                                                                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### transferSalaryInfo

          @GetMapping("/transfer-salary-info")
          public java.util.List<SalaryVO> transferSalaryInfo()
                                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`